## visad.data
Class BaseDataProcessor

    java.lang.Object
      visad.data.BaseDataProcessor

All Implemented Interfaces:
  DataProcessor

Direct Known Subclasses:
  BinarySizer, BinaryWriter, EmptyDataProcessor

public abstract class BaseDataProcessor
extends Object
implements DataProcessor

Constructor Summary
`BaseDataProcessor()`

Method Summary
`void` `process(DataImpl di, Object token)` Write the `Data` object using the most appropriate `DataProcessor` method.
`abstract void` `processDoubleSet(SetType type, CoordinateSystem cs, Unit[] units, DoubleSet set, Object token)`
`abstract void` `processFieldImpl(FunctionType type, Set set, FieldImpl fld, Object token)`
`abstract void` `processFlatField(FunctionType type, Set domainSet, CoordinateSystem cs, CoordinateSystem[] rangeCS, Set[] rangeSets, Unit[] units, FlatField fld, Object token)`
`abstract void` `processFloatSet(SetType type, CoordinateSystem cs, Unit[] units, FloatSet set, Object token)`
`abstract void` `processGridded1DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded1DDoubleSet set, Object token)`
`abstract void` `processGridded1DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded1DSet set, Object token)`
`abstract void` `processGridded2DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded2DDoubleSet set, Object token)`
`abstract void` `processGridded2DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded2DSet set, Object token)`
`abstract void` `processGridded3DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded3DDoubleSet set, Object token)`
`abstract void` `processGridded3DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded3DSet set, Object token)`
`abstract void` `processGriddedSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, GriddedSet set, Object token)`
`abstract void` `processInteger1DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer1DSet set, Object token)`
`abstract void` `processInteger2DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer2DSet set, Object token)`
`abstract void` `processInteger3DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer3DSet set, Object token)`
`abstract void` `processIntegerNDSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, IntegerNDSet set, Object token)`
`abstract void` `processIrregular1DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Irregular1DSet set, Object token)`
`abstract void` `processIrregular2DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, Irregular2DSet set, Object token)`
`abstract void` `processIrregular3DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, Irregular3DSet set, Object token)`
`abstract void` `processIrregularSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, IrregularSet set, Object token)`
`abstract void` `processLinear1DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear1DSet set, Object token)`
`void` `processLinear1DSet(SetType st, Linear1DSet set, Object token)`
`abstract void` `processLinear2DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear2DSet set, Object token)`
`abstract void` `processLinear3DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear3DSet set, Object token)`
`abstract void` `processLinearLatLonSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, LinearLatLonSet set, Object token)`
`abstract void` `processLinearNDSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, LinearNDSet set, Object token)`
`abstract void` `processList1DSet(SetType type, float[] list, CoordinateSystem cs, Unit[] units, List1DSet set, Object token)`
`abstract void` `processProductSet(SetType type, SampledSet[] sets, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, ProductSet set, Object token)`
`abstract void` `processReal(RealType type, double value, Unit unit, ErrorEstimate error, Real real, Object token)`
`abstract void` `processRealTuple(RealTupleType type, Real[] components, CoordinateSystem cs, RealTuple rt, Object token)`
`abstract void` `processSampledSet(SetType st, int manifold_dimension, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SampledSet set, Object token)`
`abstract void` `processSimpleSet(SetType st, int manifold_dimension, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SimpleSet set, Object token)`
`abstract void` `processSingletonSet(RealTuple sample, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SingletonSet set, Object token)`
`abstract void` `processText(TextType type, String value, boolean missing, Text text, Object token)`
`abstract void` `processTuple(TupleType type, Data[] components, Tuple t, Object token)`
`abstract void` `processUnionSet(SetType type, SampledSet[] sets, UnionSet set, Object token)`
`abstract void` `processUnknownData(DataImpl data, Object token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseDataProcessor

    public BaseDataProcessor()

Method Detail

### process

    public void process(DataImpl di,
                        Object token)
                 throws VisADException

  Write the `Data` object using the most appropriate `DataProcessor` method.

  Specified by:
    `process` in interface `DataProcessor`
  Throws:
    `VisADException`

### processDoubleSet

    public abstract void processDoubleSet(SetType type,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          DoubleSet set,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processDoubleSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processFieldImpl

    public abstract void processFieldImpl(FunctionType type,
                                          Set set,
                                          FieldImpl fld,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processFieldImpl` in interface `DataProcessor`
  Throws:
    `VisADException`

### processFlatField

    public abstract void processFlatField(FunctionType type,
                                          Set domainSet,
                                          CoordinateSystem cs,
                                          CoordinateSystem[] rangeCS,
                                          Set[] rangeSets,
                                          Unit[] units,
                                          FlatField fld,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processFlatField` in interface `DataProcessor`
  Throws:
    `VisADException`

### processFloatSet

    public abstract void processFloatSet(SetType type,
                                         CoordinateSystem cs,
                                         Unit[] units,
                                         FloatSet set,
                                         Object token)
                                  throws VisADException

  Specified by:
    `processFloatSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGridded1DDoubleSet

    public abstract void processGridded1DDoubleSet(SetType type,
                                                   double[][] samples,
                                                   int[] lengths,
                                                   CoordinateSystem cs,
                                                   Unit[] units,
                                                   ErrorEstimate[] errors,
                                                   Gridded1DDoubleSet set,
                                                   Object token)
                                            throws VisADException

  Specified by:
    `processGridded1DDoubleSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGridded2DDoubleSet

    public abstract void processGridded2DDoubleSet(SetType type,
                                                   double[][] samples,
                                                   int[] lengths,
                                                   CoordinateSystem cs,
                                                   Unit[] units,
                                                   ErrorEstimate[] errors,
                                                   Gridded2DDoubleSet set,
                                                   Object token)
                                            throws VisADException

  Specified by:
    `processGridded2DDoubleSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGridded3DDoubleSet

    public abstract void processGridded3DDoubleSet(SetType type,
                                                   double[][] samples,
                                                   int[] lengths,
                                                   CoordinateSystem cs,
                                                   Unit[] units,
                                                   ErrorEstimate[] errors,
                                                   Gridded3DDoubleSet set,
                                                   Object token)
                                            throws VisADException

  Specified by:
    `processGridded3DDoubleSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGridded1DSet

    public abstract void processGridded1DSet(SetType type,
                                             float[][] samples,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Gridded1DSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processGridded1DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGridded2DSet

    public abstract void processGridded2DSet(SetType type,
                                             float[][] samples,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Gridded2DSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processGridded2DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGridded3DSet

    public abstract void processGridded3DSet(SetType type,
                                             float[][] samples,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Gridded3DSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processGridded3DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processGriddedSet

    public abstract void processGriddedSet(SetType type,
                                           float[][] samples,
                                           int[] lengths,
                                           CoordinateSystem cs,
                                           Unit[] units,
                                           ErrorEstimate[] errors,
                                           GriddedSet set,
                                           Object token)
                                    throws VisADException

  Specified by:
    `processGriddedSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processInteger1DSet

    public abstract void processInteger1DSet(SetType type,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Integer1DSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processInteger1DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processInteger2DSet

    public abstract void processInteger2DSet(SetType type,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Integer2DSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processInteger2DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processInteger3DSet

    public abstract void processInteger3DSet(SetType type,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Integer3DSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processInteger3DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processIntegerNDSet

    public abstract void processIntegerNDSet(SetType type,
                                             int[] lengths,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             IntegerNDSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processIntegerNDSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processIrregular1DSet

    public abstract void processIrregular1DSet(SetType type,
                                               float[][] samples,
                                               CoordinateSystem cs,
                                               Unit[] units,
                                               ErrorEstimate[] errors,
                                               Irregular1DSet set,
                                               Object token)
                                        throws VisADException

  Specified by:
    `processIrregular1DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processIrregular2DSet

    public abstract void processIrregular2DSet(SetType type,
                                               float[][] samples,
                                               CoordinateSystem cs,
                                               Unit[] units,
                                               ErrorEstimate[] errors,
                                               Delaunay delaunay,
                                               Irregular2DSet set,
                                               Object token)
                                        throws VisADException

  Specified by:
    `processIrregular2DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processIrregular3DSet

    public abstract void processIrregular3DSet(SetType type,
                                               float[][] samples,
                                               CoordinateSystem cs,
                                               Unit[] units,
                                               ErrorEstimate[] errors,
                                               Delaunay delaunay,
                                               Irregular3DSet set,
                                               Object token)
                                        throws VisADException

  Specified by:
    `processIrregular3DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processIrregularSet

    public abstract void processIrregularSet(SetType type,
                                             float[][] samples,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             Delaunay delaunay,
                                             IrregularSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processIrregularSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processLinear1DSet

    public abstract void processLinear1DSet(SetType type,
                                            double[] firsts,
                                            double[] lasts,
                                            int[] lengths,
                                            CoordinateSystem cs,
                                            Unit[] units,
                                            ErrorEstimate[] errors,
                                            Linear1DSet set,
                                            Object token)
                                     throws VisADException

  Specified by:
    `processLinear1DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processLinear1DSet

    public void processLinear1DSet(SetType st,
                                   Linear1DSet set,
                                   Object token)
                            throws VisADException

  Throws:
    `VisADException`

### processLinear2DSet

    public abstract void processLinear2DSet(SetType type,
                                            double[] firsts,
                                            double[] lasts,
                                            int[] lengths,
                                            CoordinateSystem cs,
                                            Unit[] units,
                                            ErrorEstimate[] errors,
                                            Linear2DSet set,
                                            Object token)
                                     throws VisADException

  Specified by:
    `processLinear2DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processLinear3DSet

    public abstract void processLinear3DSet(SetType type,
                                            double[] firsts,
                                            double[] lasts,
                                            int[] lengths,
                                            CoordinateSystem cs,
                                            Unit[] units,
                                            ErrorEstimate[] errors,
                                            Linear3DSet set,
                                            Object token)
                                     throws VisADException

  Specified by:
    `processLinear3DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processLinearLatLonSet

    public abstract void processLinearLatLonSet(SetType type,
                                                double[] firsts,
                                                double[] lasts,
                                                int[] lengths,
                                                CoordinateSystem cs,
                                                Unit[] units,
                                                ErrorEstimate[] errors,
                                                LinearLatLonSet set,
                                                Object token)
                                         throws VisADException

  Specified by:
    `processLinearLatLonSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processLinearNDSet

    public abstract void processLinearNDSet(SetType type,
                                            double[] firsts,
                                            double[] lasts,
                                            int[] lengths,
                                            CoordinateSystem cs,
                                            Unit[] units,
                                            ErrorEstimate[] errors,
                                            LinearNDSet set,
                                            Object token)
                                     throws VisADException

  Specified by:
    `processLinearNDSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processList1DSet

    public abstract void processList1DSet(SetType type,
                                          float[] list,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          List1DSet set,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processList1DSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processProductSet

    public abstract void processProductSet(SetType type,
                                           SampledSet[] sets,
                                           CoordinateSystem cs,
                                           Unit[] units,
                                           ErrorEstimate[] errors,
                                           ProductSet set,
                                           Object token)
                                    throws VisADException

  Specified by:
    `processProductSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processReal

    public abstract void processReal(RealType type,
                                     double value,
                                     Unit unit,
                                     ErrorEstimate error,
                                     Real real,
                                     Object token)
                              throws VisADException

  Specified by:
    `processReal` in interface `DataProcessor`
  Throws:
    `VisADException`

### processRealTuple

    public abstract void processRealTuple(RealTupleType type,
                                          Real[] components,
                                          CoordinateSystem cs,
                                          RealTuple rt,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processRealTuple` in interface `DataProcessor`
  Throws:
    `VisADException`

### processSampledSet

    public abstract void processSampledSet(SetType st,
                                           int manifold_dimension,
                                           CoordinateSystem cs,
                                           Unit[] units,
                                           ErrorEstimate[] errors,
                                           SampledSet set,
                                           Object token)
                                    throws VisADException

  Specified by:
    `processSampledSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processSimpleSet

    public abstract void processSimpleSet(SetType st,
                                          int manifold_dimension,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          SimpleSet set,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processSimpleSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processSingletonSet

    public abstract void processSingletonSet(RealTuple sample,
                                             CoordinateSystem cs,
                                             Unit[] units,
                                             ErrorEstimate[] errors,
                                             SingletonSet set,
                                             Object token)
                                      throws VisADException

  Specified by:
    `processSingletonSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processText

    public abstract void processText(TextType type,
                                     String value,
                                     boolean missing,
                                     Text text,
                                     Object token)
                              throws VisADException

  Specified by:
    `processText` in interface `DataProcessor`
  Throws:
    `VisADException`

### processTuple

    public abstract void processTuple(TupleType type,
                                      Data[] components,
                                      Tuple t,
                                      Object token)
                               throws VisADException

  Specified by:
    `processTuple` in interface `DataProcessor`
  Throws:
    `VisADException`

### processUnionSet

    public abstract void processUnionSet(SetType type,
                                         SampledSet[] sets,
                                         UnionSet set,
                                         Object token)
                                  throws VisADException

  Specified by:
    `processUnionSet` in interface `DataProcessor`
  Throws:
    `VisADException`

### processUnknownData

    public abstract void processUnknownData(DataImpl data,
                                            Object token)
                                     throws VisADException

  Specified by:
    `processUnknownData` in interface `DataProcessor`
  Throws:
    `VisADException`